Package twisted :: Package names :: Module tap :: Class Options |
[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| `__init__(self)`
| ``opt_bindzone`(self, filename)` Specify the filename of a BIND9 syntax zone definition
| ``opt_pyzone`(self, filename)` Specify the filename of a Python syntax zone definition
| ``opt_verbose`(self)` Increment verbosity level
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from Options
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['cache', 'c', 'Enable record caching'], ['r...`
`list` | `optParameters` = `[['interface', 'i', '', 'The interface t...`
`NoneType` | `zonefiles` = None
`NoneType` | `zones` = None
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_bindzone(self, filename) Specify the filename of a BIND9 syntax zone definition

### opt_pyzone(self, filename) Specify the filename of a Python syntax zone definition

### opt_verbose(self) Increment verbosity level

### postOptions(self) I am called after the options are parsed. Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane. Overrides: `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

    ### optFlags Type: `list` Value:
        [['cache', 'c', 'Enable record caching'],
         ['recursive', 'r', 'Perform recursive lookups'],
         ['iterative', 'I', 'Perform lookups using the root servers'],
         ['verbose', 'v', 'Log verbosely']]

    ### optParameters Type: `list` Value:
        [['interface', 'i', '', 'The interface to which to bind'],
         ['port', 'p', '53', 'The port on which to listen'],
         ['resolv-conf',
          None,
          None,
          'Override location of resolv.conf (implies --recursive)']]

    ### zonefiles Type: `NoneType` Value:
        None

    ### zones Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net